# In case of update of this package, update also mythes-lb - it's the same source!

%define languageenglazy Luxembourgish
%define languagecode    lb
%define lc_ctype        lb_LU

%define upstream_version 20110513

Name:           hunspell-%{languagecode}
Version:        0.%{upstream_version}.1
Release:        %mkrel 7
Summary:        %{languageenglazy} hunspell dictionaries
License:        EUPL 1.1
Group:          System/Internationalization
URL:            http://spellchecker.lu
Source0:        http://downloads.spellchecker.lu/packages/OOo3/SpellcheckerLu.oxt

BuildArch:      noarch

Suggests:       hunspell

Requires:       locales-lb
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
#Obsoletes:      myspell-%{languagecode} <= 1.0.2-30
#Provides:       myspell-%{languagecode}
#Obsoletes:      myspell-%{lc_ctype} <= 1.0.2-30
#Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build

%install
install -D -m 0644 -p *.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p *.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc registration/README_lb_LU.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.20110513.1-7.mga3
+ Revision: 353538
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 0.20110513.1-6.mga3
+ Revision: 325556
- rebuild for Mga3 Beta1

* Tue Mar 20 2012 kamil <kamil> 0.20110513.1-5.mga2
+ Revision: 224731
- add requirement on locales (mga#4632)

* Tue Feb 14 2012 kamil <kamil> 0.20110513.1-4.mga2
+ Revision: 208518
- stop obsoleting non existing myspell-lb
- adapt .spec to the current policies
- remove mythes-lb part from this package (it's now a stand-alone package)

* Fri Jul 08 2011 ahmad <ahmad> 0.20110513.1-1.mga2
+ Revision: 120159
- Update to 20110513

* Thu Mar 31 2011 ennael <ennael> 0.20110107.1-3.mga1
+ Revision: 79240
- fix group

* Sat Mar 12 2011 dmorgan <dmorgan> 0.20110107.1-2.mga1
+ Revision: 68909
- imported package hunspell-lb

